note: file ERRCHK for time series models

switch b10
  case 1: note OK but check inputs of c185 and c201
          exist 't' b17
          switch b17
          case 0: say \n the time column must be named as 't' \n
            wmsg "the time column must be named as 't'"
            abort
          ends 
          count c185 b1
          switch b1
          case 0: say \n value of the power term of s (time interval) must be in C185 \n
             wmsg "value of the power term of s (time interval) must be in C185"
                  abort
          case  : note OK
                  leave
          ends
          count c201 b2
          switch b2
          case 0: say \n no starting values of alpha in c201 \n
            wmsg "no starting values of alpha in c201"
                  abort
          case  : note OK
                  leave
          ends
          calc b1=b1-b2
          switch b1
          case 0: note OK
                  leave
          case  : say \n no. of starting valu. in c201 does not match no. of power terms in c185 \n
             wmsg "no. of starting valu. in c201 does not match no. of power terms in c185"
                  abort
          ends         
          leave
  case 0: note OK
          leave
  case  : say \n b10 must be set to: 1=model on, 0=model off \n
     wmsg "b10 must be set to: 1=model on, 0=model off"
          abort
  ends

switch b11
  case 1: note OK but check inputs of c186 and c202
          exist 't' b17
          switch b17
          case 0: say \n the time column must be named as 't' \n
             wmsg "the time column must be named as 't'"
             abort
          ends 
          count c186 b1
          switch b1
          case 0: say \n value of the power term of t must be in C186 \n
             wmsg "value of the power term of t must be in C186"
                  abort
          case  : note OK
                  leave
          ends
          count c202 b2
          switch b2
          case 0: say \n no starting values of alpha in c202 \n
             wmsg "no starting values of alpha in c202"
                  abort
          case  : note OK
                  leave
          ends
          calc b1=b1-b2
          switch b1
          case 0: note OK
                  leave
          case  : say \n no. of starting valu. in c202 does not match no. of power terms in c186 \n
             wmsg "no. of starting valu. in c202 does not match no. of power terms in c186"
                  abort
          ends            
          leave
  case 0: note OK
          leave
  case  : say \n b11 must be set to: 1=model on, 0=model off \n
     wmsg "b11 must be set to: 1=model on, 0=model off"
          abort
  ends

switch b12
  case 1: note OK but check linkage of group 9
          link -1 g1
          gsize g9 b1
          switch b1
            case 0: say \n group 9 must contain variables specifying lev. 1 function \n
               wmsg "group 9 must contain variables specifying lev. 1 function"
                    abort
          ends
          gset 0 g1 g9 g17
          gsize g17 b1
          switch b1
            case 0: say \n variables in group 9 must be explanatory variables \n
               wmsg "variables in group 9 must be explanatory variables"
                    abort
          ends
          leave
  case 0: note OK
          leave
  case  : say \n b12 must be set to: 1=model on, 0=model off \n
       wmsg "b12 must be set to: 1=model on, 0=model off"
          abort
  ends

switch b13
  case 0: note OK
          leave
  case 1: note OK but check c185, c186, c201 and c202
          count c185 b1
          switch b1
          case 0: say \n c185 must contain the power term of s \n
             wmsg "c185 must contain the power term of s" 
                  abort
          ends
          count c201 b2
          calc b2=b1-b2
          switch b2
          case 0: note OK
                  leave
          case  : say \n no. of starting valu. in c201 does not match no. of power terms in c185 \n
           wmsg "no. of starting valu. in c201 does not match no. of power terms in c185"
                  abort
          ends
          count c186 b1
          switch b1
          case 0: say \n c186 must contain the power term of t \n
              wmsg "c186 must contain the power term of t"
                  abort
          ends
          count c202 b2
          calc b2=b1-b2
          switch b2
          case 0: note OK
                  leave
          case  : say \n no. of starting valu. in c202 does not match no. of power terms in c186 \n
             wmsg "no. of starting valu. in c202 does not match no. of power terms in c186"
                  abort
          ends
          leave
  case 2: note OK but check for b10 and b12
          calc b1=b10*b12
          switch b1
          case 1: note OK
                  leave
          case  : note b10 or b12 is not set properly
                  wmsg "the setting for b10 or b12 is not corect!"

                  abort
          ends
          leave
  case  : say \n b13 must be set to: 0=no relation, 1=additive, 2=product \n
     wmsg "b13 must be set to: 0=no relation, 1=additive, 2=product"
          abort
  ends
endobey
         
            
            
            
    
